List recurrences (Pix Automático)
curl --request GET \
--url https://spi.sandbox.lerian.net/api/v1/brcode/rec \
--header 'Authorization: Bearer <token>'import requests
url = "https://spi.sandbox.lerian.net/api/v1/brcode/rec"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://spi.sandbox.lerian.net/api/v1/brcode/rec', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"parametros": {
"fim": "<string>",
"inicio": "<string>",
"paginacao": {
"itensPorPagina": 123,
"paginaAtual": 123,
"quantidadeDePaginas": 123,
"quantidadeTotalDeItens": 123
}
},
"recs": [
{
"calendario": {
"dataInicial": "<string>",
"dataFinal": "<string>"
},
"idRec": "<string>",
"recebedor": {
"conta": "<string>",
"agencia": "<string>",
"convenio": "<string>"
},
"vinculo": {
"contrato": "<string>",
"devedor": {
"cnpj": "<string>",
"cpf": "<string>",
"nome": "<string>"
},
"objeto": "<string>"
},
"atualizacao": [
{
"data": "<string>"
}
],
"solicitacao": [
{
"calendario": {
"dataExpiracaoSolicitacao": "2023-11-07T05:31:56Z"
},
"destinatario": {
"conta": "<string>",
"ispbParticipante": "<string>",
"agencia": "<string>",
"cnpj": "<string>",
"cpf": "<string>"
},
"idRec": "<string>",
"idSolicRec": "<string>"
}
],
"valor": {
"valorMinimoRecebedor": "<string>",
"valorRec": "<string>"
}
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}List recurrences (Pix Automático)
Lists recurrences by start date, end date, cpf, cnpj, convênio, and status. Pix API GET /rec.
GET
/
api
/
v1
/
brcode
/
rec
List recurrences (Pix Automático)
Authorizations
JWT bearer token issued by the identity provider.
Query Parameters
Início do filtro de criação (RFC 3339).
Fim do filtro de criação (RFC 3339).
Filtro pelo CPF do devedor. Mutuamente exclusivo com cnpj.
Pattern:
^\d{11}$Filtro pelo CNPJ do devedor. Mutuamente exclusivo com cpf.
Pattern:
^[0-9A-Z]{14}$Filtro pelo convênio associado.
Maximum string length:
60Filtro pelo status da recorrência.
Página a ser retornada (0-based).
Required range:
x >= 0Itens por página (1..1000).
Required range:
1 <= x <= 1000Was this page helpful?
⌘I

